> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Live Data

> Push data about defined entities.



## OpenAPI

````yaml https://app.recallio.ai/swagger/v1/swagger.json post /api/Knowledge/livedata
openapi: 3.0.4
info:
  title: Recallio API
  description: API for Recallio.AI
  contact:
    name: Recallio.AI Team
    email: support@recallio.ai
  version: v1
servers:
  - url: https://app.recallio.ai
security:
  - Bearer: []
tags:
  - name: Knowledge
  - name: Memory
  - name: MemoryGraph (Extra Pack)
paths:
  /api/Knowledge/livedata:
    post:
      tags:
        - Knowledge
      summary: Upload Live Data
      description: Push data about defined entities.
      operationId: WriteLiveData
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LiveDataRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/LiveDataRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/LiveDataRequest'
      responses:
        '202':
          description: Accepted
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
components:
  schemas:
    LiveDataRequest:
      required:
        - rawJson
        - type
      type: object
      properties:
        userId:
          type: string
          description: Unique identifier for the user storing the knowledge
          nullable: true
          example: user_123
        projectId:
          type: string
          description: Project identifier to associate the knowledge with
          nullable: true
          example: project_abc
        rawJson:
          maxLength: 30000
          minLength: 1
          type: string
          description: >-
            The actual raw json to be stored. This can be either a string or a
            JSON object. The JSON object format is: { "Sales_History": {"Buyer":
            "John Doe", "Amount": 100000, "Date": "2021-01-01"}}}
          example: >-
            { "Sales_History": {"Buyer": "John Doe", "Amount": 100000, "Date":
            "2021-01-01"}}}
        type:
          minLength: 1
          type: string
          description: Type of knowledge to store
          example: listing
      additionalProperties: false
    ErrorReturnClass:
      required:
        - error
      type: object
      properties:
        error:
          minLength: 1
          type: string
          description: Error message indicating the specific validation issue
          example: '"Invalid scope type. Must be ''user'', ''project'', or ''team''."'
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````